if you're sure that you followed exact steps in my previous blogs, but it seems the tool still not working. there are a few known issues that you can check to see if it's your case:

1. .NET 4.0

    the current version (TestAPI 0.4) does NOT work on .net 4.0 platform. so if you install .net 4.0 or your application compiled with .net 4.0, the fault injection will NOT work. I'm working on the fix, but meanwhile, you can use the following steps to workaround:

     set enviornment variable by running this command:  set COMPLUS_ProfAPI_ProfilerCompatibilitySetting=EnableV2Profiler

     then you should be good to go.

2. can't find fault injection engine file but it is there.

   if your machine does NOT have Visual Studio 2005/2008 installed, you are very likely meet this issue. the error message is kind of misleading. it actually means the registration engine failed for many possible reasons, one of them is .net 4.0 issue as I explained above. another reason is that it can't find the following dependent binaries: msvcr90d.dll, msvcp90d.dll, msvcm90d.dll,atl90.dll,Microsoft.VC90.ATL.manifest, Microsoft.VC90.DebugCRT.manifest.

    you could either install Visual Studio 2005/2008 or .net framework SDK to install those dependent binaries, or you could download the attached zip file and unpack it,  and put the binaries into the both x86 and x64 accordingly under faultinjectionengine folder.

3.  One-place issue.

     you need to put your application (aut.exe)  into the test binary (auttest.exe) directory. i.e the applicaiton and the test need to be in the same directory.

4. x64 bit issue

    make sure your application and your test binary has the SAME bitness, i.e. both are 32 or both are 64.